Bug 1289045 - Fail to implement the DVD test via the redhat-certification-2.0-20151117.el7.noarch but redhat-certification-1.0-20150723.el7 got passed result.
Fail to implement the DVD test via the redhat-certification-2.0-20151117.el7....
Status: CLOSED ERRATA
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: brose
Brian Brock
:
: 1287504 1288421 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 05:17 EST by smc_cert
Modified: 2016-01-15 10:55 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.7.1-20151208.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 06:42:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hpe_rh_cert: needinfo-


Attachments (Terms of Use)
patch (724 bytes, patch)
2015-12-07 14:29 EST, brose
no flags Details | Diff

  None (edit)
Description smc_cert 2015-12-07 05:17:27 EST
Description of problem:
Fail to implement the DVD test via the redhat-certification-2.0-20151117.el7.noarch but redhat-certification-1.0-20150723.el7 got passed result.

[root@x11ssh Desktop]# rhcert-backend version
rhcert version 2.0, release 20151117

[root@x11ssh Desktop]# rpm -qa |grep -i redhat-ce*
redhat-certification-2.0-20151117.el7.noarch
redhat-certification-backend-2.0-20151117.el7.noarch
redhat-certification-hardware-1.7.1-20151113.el7.noarch
redhat-certification-information-1.7.1-20151113.el7.noarch


Running the following tests:
dvd        device=sr0 udi=/devices/pci0000:00/0000:00:17.0/ata2/host1/target1:0:0/1:0:0:0/block/sr0 
info                                           

Test Verification Passed
Running dvd on device=sr0 udi=/devices/pci0000:00/0000:00:17.0/ata2/host1/target1:0:0/1:0:0:0/block/sr0 

  Your device /dev/sr0 supports dvd-rw, dvd+rw, dvd-r, dvd+r, dvd 

Would you like to test dvd-rw media? (yes|no) yes
response: yes
response: True

Please insert a good dvd-rw disc into /dev/sr0 - then continue?  (yes|no) yes
response: yes
response: True
Could not auto-close the tray, please close the tray manually - then continue?  (yes|no) yes
response: yes
response: True
  Tray closed ...

  +++ Start testing ...

  +++ Blanking the disk, this may take some time, please be patient ...
Traceback (most recent call last):
  File "/usr/bin/rhcert-backend", line 37, in <module>
    success = rhcertBackend.do(args)
  File "/usr/lib/python2.7/site-packages/rhcert/client/backend.py", line 188, in do
    result = self.commands[self.command]()
  File "/usr/lib/python2.7/site-packages/rhcert/client/harness.py", line 409, in doRun
    return self._doRun(testDocuments)
  File "/usr/lib/python2.7/site-packages/rhcert/client/harness.py", line 555, in _doRun
    returnValue = self.runTest(logDirectory, testDocument, runDocument, outputFilePath)
  File "/usr/lib/python2.7/site-packages/rhcert/client/harness.py", line 1018, in runTest
    rv = test.run()
  File "/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/tests/dvd/dvd.py", line 147, in run
    if self.testDisk(message="%s %s" %(description, self.printMediaName(self.mediaChoice)), readWriteMode=mode, type=testtype):
  File "/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/hwcert/opticalDiskTest.py", line 439, in testDisk
    return self.rewriter(type)
  File "/usr/lib/python2.7/site-packages/rhcert/suites/hwcert/hwcert/opticalDiskTest.py", line 365, in rewriter
    if self.Debug() != Constants.off:
AttributeError: 'DVDTest' object has no attribute 'Debug'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Pls refer above log


Actual results:


Expected results:


Additional info:
Comment 1 brose 2015-12-07 14:29 EST
Created attachment 1103362 [details]
patch
Comment 3 brose 2015-12-07 14:41:22 EST
*** Bug 1288421 has been marked as a duplicate of this bug. ***
Comment 4 brose 2015-12-07 14:42:32 EST
*** Bug 1287504 has been marked as a duplicate of this bug. ***
Comment 6 Brian Brock 2015-12-17 18:17:05 EST
not yet verified, see bug 1292601
Comment 9 errata-xmlrpc 2016-01-11 06:42:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0019.html
Comment 10 HPE Server Cert 2016-01-15 10:52:32 EST
Issue fixed with below official release.
redhat-certification-hardware-1.7.1-20151218
redhat-certification-information-1.7.1-20151218

Note You need to log in before you can comment on or make changes to this bug.